## Index

### Functions

- augmentEvent
- getUpdateEvent
- makeSortable

## Functions

### augmentEvent

- augmentEvent(ev: any): any

- - Defined in src/makeSortable.ts:13

  #### Parameters

  - ##### ev: any

  #### Returns any

### getUpdateEvent

- getUpdateEvent(dom: DOMSource, parentSelector: string): Stream<EventDetails>

- - Defined in src/makeSortable.ts:69

  Returns a stream of swapped indices

  #### Parameters

  - ##### dom: DOMSource

    a DOMSource containing the sortable

  - ##### parentSelector: string

    a valid CSS selector for the sortable parent (not the items)

  #### Returns Stream<EventDetails>

  an object containing the new positions @see EventDetails

### makeSortable

- makeSortable<T>(dom: DOMSource, options?: SortableOptions): function

- - Defined in src/makeSortable.ts:27

  Can be composed with a Stream of VNodes to make them sortable via drag&drop

  #### Type parameters

  - #### T

  #### Parameters

  - ##### dom: DOMSource

    The preselected root VNode of the sortable, also indicates the area in which the ghost can be dragged

  - ##### Optional options: SortableOptions

    @see {SortableOptions}

  #### Returns function

  A function to be composed with a view VNode stream

  - - (s: T): T

    - #### Parameters

      - ##### s: T

      #### Returns T

Generated using TypeDoc